org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.Collect

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.Collect
    extends Stage

A collect stage.

This must use the collectors supplier to create an accumulated value, and then the accumulator BiConsumer must be used to accumulate the received elements in the value. Finally, the returned `CompletionStage` must be redeemed by value returned by the finisher function applied to the accumulated value when the stream terminates normally, or must be redeemed with an error if the stream terminates with an error.

If the collector throws an exception, the upstream must be cancelled, and the `CompletionStage` must be redeemed with that error.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`Collector<?,?,?>` `getCollector()` The collector.

### Method Detail

#### getCollector

    Collector<?,?,?> getCollector()

The collector.

Returns:
  The collector.